Refresh Brand Intelligence Ad Analysis Route
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/ad-analyses/{ad_id}/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/ad-analyses/{ad_id}/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/ad-analyses/{ad_id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ad_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "not_analyzed",
"analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analysis_kind": "creative_teardown",
"summary": "<string>",
"overall_score": 50,
"detected_format": "<string>",
"is_stale": false,
"error_message": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"analyzed_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"ad": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"platform": "<string>",
"source_ad_key": "<string>",
"status": "<string>",
"publisher_platforms": [
"<string>"
],
"source_ad_id": "<string>",
"source_ad_url": "<string>",
"display_url": "<string>",
"click_through_url": "<string>",
"landing_page_url": "<string>",
"posting_page_name": "<string>",
"advertiser_logo_url": "<string>",
"ad_format": "<string>",
"partners": [
{
"name": "<string>",
"page_id": "<string>",
"page_url": "<string>",
"profile_image_url": "<string>"
}
],
"started_running_at": "2023-11-07T05:31:56Z",
"launched_month": "<string>",
"is_top_ad": false,
"top_ad_rank": 123,
"low_impression_count": false,
"ad_has_multiple_versions": false,
"is_still_in_ad_library": true,
"last_seen_in_ad_library_at": "2023-11-07T05:31:56Z",
"last_confirmed_active_at": "2023-11-07T05:31:56Z",
"active_finished_at": "2023-11-07T05:31:56Z",
"active_duration_days": 123,
"industry": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"advertiser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parent_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"primary_domain": "<string>",
"website_url": "<string>",
"website_header_image_url": "<string>",
"industry": "<string>",
"brand_classification": {
"primary_industry": "<string>",
"industries": [
"<string>"
],
"business_models": [
"<string>"
],
"version": "<string>",
"source": "<string>",
"classified_at": "2023-11-07T05:31:56Z",
"needs_review": false
},
"partners": [
{
"name": "<string>",
"page_id": "<string>",
"page_url": "<string>",
"profile_image_url": "<string>"
}
]
},
"source_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"url": "<string>",
"followers": 123,
"logo_url": "<string>",
"tagline": "<string>",
"raw_data": {}
},
"creative": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"body_text": "<string>",
"description": "<string>",
"cta": "<string>",
"creative_type": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"assets": [
{
"kind": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url_source": "source",
"content_hash": "<string>",
"width": 123,
"height": 123,
"mime_type": "<string>",
"raw_data": {}
}
],
"media_variants": [
{
"media_url": "<string>",
"headline": "<string>",
"body_text": "<string>",
"description": "<string>",
"cta": "<string>",
"link_url": "<string>",
"display_url": "<string>"
}
],
"raw_data": {}
},
"creative_count": 0,
"variant_count": 1,
"provenance": {}
},
"ad_detail": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"platform": "<string>",
"source_ad_key": "<string>",
"status": "<string>",
"publisher_platforms": [
"<string>"
],
"source_ad_id": "<string>",
"source_ad_url": "<string>",
"display_url": "<string>",
"click_through_url": "<string>",
"landing_page_url": "<string>",
"utm_params": {},
"paying_agency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"placements": [
"<string>"
],
"started_running_at": "2023-11-07T05:31:56Z",
"launched_month": "<string>",
"is_top_ad": false,
"top_ad_rank": 123,
"low_impression_count": false,
"ad_has_multiple_versions": false,
"is_still_in_ad_library": true,
"last_seen_in_ad_library_at": "2023-11-07T05:31:56Z",
"last_confirmed_active_at": "2023-11-07T05:31:56Z",
"active_finished_at": "2023-11-07T05:31:56Z",
"active_duration_days": 123,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"video_duration_seconds": 123,
"industry": "<string>",
"theme": "<string>",
"transcript": {
"hook": "<string>",
"text": "<string>",
"locale": "<string>",
"phrases": [
{
"text": "<string>",
"start_ms": 123,
"end_ms": 123,
"speaker": "<string>",
"locale": "<string>"
}
]
},
"is_video": false,
"posting_page_name": "<string>",
"advertiser_logo_url": "<string>",
"ad_format": "<string>",
"partners": [
{
"name": "<string>",
"page_id": "<string>",
"page_url": "<string>",
"profile_image_url": "<string>"
}
],
"advertiser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parent_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"primary_domain": "<string>",
"website_url": "<string>",
"website_header_image_url": "<string>",
"industry": "<string>",
"brand_classification": {
"primary_industry": "<string>",
"industries": [
"<string>"
],
"business_models": [
"<string>"
],
"version": "<string>",
"source": "<string>",
"classified_at": "2023-11-07T05:31:56Z",
"needs_review": false
},
"partners": [
{
"name": "<string>",
"page_id": "<string>",
"page_url": "<string>",
"profile_image_url": "<string>"
}
]
},
"advertiser_metadata": {},
"source_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"url": "<string>",
"followers": 123,
"logo_url": "<string>",
"tagline": "<string>",
"raw_data": {}
},
"creatives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headline": "<string>",
"body_text": "<string>",
"description": "<string>",
"cta": "<string>",
"creative_type": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"assets": [
{
"kind": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url_source": "source",
"content_hash": "<string>",
"width": 123,
"height": 123,
"mime_type": "<string>",
"raw_data": {}
}
],
"media_variants": [
{
"media_url": "<string>",
"headline": "<string>",
"body_text": "<string>",
"description": "<string>",
"cta": "<string>",
"link_url": "<string>",
"display_url": "<string>"
}
],
"raw_data": {}
}
],
"observations": [
{
"status": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"platform": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"country": "<string>",
"raw_data": {}
}
],
"provider_payloads": [
{
"provider": "<string>",
"platform": "<string>",
"payload_hash": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"captured_at": "2023-11-07T05:31:56Z",
"payload": {}
}
],
"platform_details": {
"family": "generic",
"meta": {
"page_name": "<string>",
"poster_page_name": "<string>",
"page_profile_picture_url": "<string>",
"countries": [
"<string>"
],
"delivery_stop_time": "<string>",
"running_summary_text": "<string>",
"media_type": "<string>",
"cards": [
{}
],
"branded_content": {},
"is_aaa_eligible": true,
"aaa_info_absent": true,
"page_profile": {
"facebook_page_id": "<string>",
"facebook_page_name": "<string>",
"facebook_page_url": "<string>",
"page_category": "<string>",
"facebook_page_follower_count": 123,
"instagram_page_slug": "<string>",
"instagram_page_follower_count": 123,
"about_text": "<string>",
"ad_library_results_count": 123,
"ad_library_results_count_text": "<string>"
}
},
"linkedin": {
"posting_page_name": "<string>",
"advertiser_logo_url": "<string>",
"company_page_url": "<string>",
"company_page_handle": "<string>",
"poster_entity_type": "<string>",
"restricted": true,
"ad_format": "<string>",
"ad_duration": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"total_impressions": "<string>",
"impressions_by_country": [
{
"country": "<string>",
"impressions": "<string>"
}
],
"targeting": {
"language": "<string>",
"location": "<string>",
"parameters": [
{
"parameter": "<string>",
"targeted": true,
"excluded": true
}
],
"raw_text": "<string>"
},
"paid_for_by": "<string>",
"promoted_by": "<string>",
"destination_url": "<string>",
"media_type": "<string>",
"carousel_page_count": 123,
"transparency_expected": true,
"commentary_links": [
"<string>"
]
},
"tiktok": {
"impression": 123,
"unique_users_seen": 123,
"first_shown": "<string>",
"last_shown": "<string>",
"advertising_objective": "<string>",
"advertiser_name": "<string>",
"advertiser_business_ids": [
"<string>"
],
"paid_for_by": "<string>",
"registered_location": "<string>",
"ad_caption": "<string>",
"call_to_action": "<string>",
"external_website_url": "<string>",
"download_url": "<string>",
"topic": "<string>",
"tiktok_username": "<string>",
"tiktok_profile_url": "<string>",
"tiktok_avatar_url": "<string>",
"tiktok_follower_count": 123,
"targeting": {
"reach_by_location_age_gender": [
{
"location": "<string>",
"age": "<string>",
"gender": "<string>",
"reach": 123
}
],
"total_impressions": 123,
"total_regions": 123,
"locations": [
"<string>"
],
"ages": [
"<string>"
],
"genders": [
"<string>"
],
"languages": [
"<string>"
],
"high_spending_power": true,
"audiences": [
"<string>"
],
"excluded_audiences": [
"<string>"
],
"interest_targeting_categories": [
"<string>"
],
"creator_interactions": [
"<string>"
],
"video_interactions": [
"<string>"
],
"devices": [
"<string>"
],
"operating_systems": [
"<string>"
],
"cities": [
"<string>"
],
"provinces": [
"<string>"
],
"countries": [
"<string>"
]
}
},
"google": {
"format": "<string>",
"ad_channel": "<string>",
"advertiser_transparency_id": "<string>",
"last_shown": "<string>",
"verified": true,
"position": 123,
"youtube_video_id": "<string>",
"youtube_watch_url": "<string>"
}
},
"analysis": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"analysis_kind": "<string>",
"detected_format": "<string>",
"summary": "<string>",
"overall_score": 123,
"completed_at": "2023-11-07T05:31:56Z",
"result": {}
},
"eu_total_reach": 123,
"aaa_info": {
"targets_eu": true,
"eu_total_reach": 1,
"age_country_gender_reach_breakdown": [
{
"country": "<string>",
"age_gender_breakdowns": [
{
"age_range": "<string>",
"male": 1,
"female": 1,
"unknown": 1
}
]
}
],
"payer_beneficiary_data": [
{
"payer": "<string>",
"beneficiary": "<string>"
}
],
"has_violating_payer_beneficiary": true,
"is_ad_taken_down": true
},
"variant_count": 1,
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ad_id": "<string>",
"facebook_url": "<string>",
"landing_page_url": "<string>",
"status": "<string>",
"started_running_at": "2023-11-07T05:31:56Z",
"last_confirmed_active_at": "2023-11-07T05:31:56Z",
"active_finished_at": "2023-11-07T05:31:56Z",
"active_duration_days": 123,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"is_current": false
}
],
"viewer_is_admin": false,
"provenance": {}
},
"result": {
"summary": "",
"detected_format": "unknown",
"overall_score": 50,
"creative_scorecard": {
"rubric_version": "creative-scorecard-v1",
"basis": "creative_only",
"score": 50,
"coverage": 0,
"confidence": "low",
"elements": [
{
"key": "hook_anatomy",
"label": "",
"summary": "",
"score": 50,
"weight": 0,
"coverage": 0,
"status": "unknown",
"confidence": "medium",
"criteria": [
{
"key": "<string>",
"label": "",
"rating": 2,
"status": "unknown",
"detail": "",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
}
]
}
]
},
"primary_recommendation": {
"element_key": "hook_anatomy",
"observation": "<string>",
"action": "<string>",
"rationale": "<string>",
"evidence_refs": [
"<string>"
],
"location": "<string>",
"expected_metric": "<string>",
"priority": "medium",
"effort": "medium",
"confidence": "medium"
},
"hook": {
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
},
"offer": {
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
},
"cta": {
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
},
"audience": {
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
},
"landing_page_congruence": {
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
},
"strengths": [
{
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
}
],
"weaknesses": [
{
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
}
],
"risks": [
{
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
}
],
"test_ideas": [
{
"title": "<string>",
"detail": "<string>",
"evidence_refs": [
"<string>"
],
"confidence": "medium"
}
],
"format_analysis": {},
"limitations": [
"<string>"
],
"evidence_refs": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Intelligence
Refresh Brand Intelligence Ad Analysis Route
Force-refresh one analyzed ad while preserving the brand feed item.
POST
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
ad-analyses
/
{ad_id}
/
refresh
Refresh Brand Intelligence Ad Analysis Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Available options:
not_analyzed, queued, running, completed, failed Required range:
0 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I